crc32_le
Prev | CRC Functions | Next

## Name

crc32_le — Calculate bitwise little-endian Ethernet AUTODIN II CRC32

## Synopsis

`u32 __attribute_pure__ crc32_le (` | u32 | crc,
| unsigned char const * | p,
| size_t | len`)`;

## Arguments

`crc`

  seed value for computation. ~0 for Ethernet, sometimes 0 for other uses, or the previous crc32 value if computing incrementally.

`p`

  pointer to buffer over which CRC is run

`len`

  length of buffer `p`

Prev | Up | Next
crc_itu_t | Home | crc32_be